#include <common/intel.hpp>

WORD Intel::intelData(WORD someData)
{
	WORD tempData(someData);

	someData>>=8;
	someData+=tempData<<8;
	return someData;
}

DWORD Intel::intelData(DWORD someData)
{
	WORD tempDataHi(HIWORD(someData));
	WORD tempDataLo(LOWORD(someData));

	someData=tempDataLo;
	someData<<=16;
  someData|=tempDataHi;
	return someData;
}
